Debian Bug report logs - #426364
xterm dies on popup-menu() action

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Miciah Dashiel Butler Masters <miciah.masters@gmail.com>

Date: Mon, 28 May 2007 09:03:02 UTC

Severity: normal

Found in version xterm/225-1

Fixed in version xterm/226-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#426364; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Miciah Dashiel Butler Masters <miciah.masters@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miciah Dashiel Butler Masters <miciah.masters@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm dies on popup-menu() action
Date: Mon, 28 May 2007 09:01:17 +0000
Package: xterm
Version: 225-1

Using the mouse is cumbersome, so I added these to my X resource
database:

XTerm*vt100.translations: #override \n\
	Ctrl<Key>F1:popup-menu(mainMenu) \n\
	Ctrl<Key>F2:popup-menu(vtMenu)   \n\
	Ctrl<Key>F3:popup-menu(fontMenu) \n\
	Ctrl<Key>F4:popup-menu(tekMenu)

When I try to use one of the first three of these actions, XTerm
dies:

xterm:  warning, error event received:
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  38 (X_QueryPointer)
  Resource id in failed request:  0x0
  Serial number of failed request:  344
  Current serial number in output stream:  344

With the fourth, it segfaults.  Below is a backtrace.  I don't have
debugging symbols installed (I see no xterm-dbg package), but if it
would be helpful, I'm willing to go to some effort to get you a better
backtrace.

   #0  0x0000000000422a08 in ?? ()
   #1  0x0000000000422b51 in ?? ()
   #2  0x00002b38c04f77ce in ?? () from /usr/lib/libXt.so.6
   #3  0x00002b38c04f7aae in ?? () from /usr/lib/libXt.so.6
   #4  0x00002b38c04f819e in _XtTranslateEvent () from /usr/lib/libXt.so.6
   #5  0x00002b38c04d0794 in XtDispatchEventToWidget () from /usr/lib/libXt.so.6
   #6  0x00002b38c04d0e64 in ?? () from /usr/lib/libXt.so.6
   #7  0x00002b38c04cffab in XtDispatchEvent () from /usr/lib/libXt.so.6
   #8  0x0000000000425caf in ?? ()
   #9  0x0000000000414de0 in ?? ()
   #10 0x00000000004151cc in ?? ()
   #11 0x000000000041fff5 in ?? ()
   #12 0x00002b38c0bb88e4 in __libc_start_main () from /lib/libc.so.6
   #13 0x00000000004073fa in ?? ()
   #14 0x00007fffeacde378 in ?? ()
   #15 0x0000000000000000 in ?? ()

I imagine that it doesn't make much sense to try popup-menu(tekMenu)
from the main window, so feel free to call me silly for trying, but
doing so did find a segfault.

Much love,

-- 
Miciah Masters <miciah.masters@gmail.com> / <mdm0304@ecu.edu> / <miciah@myrealbox.com>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#426364; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 426364@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Miciah Dashiel Butler Masters <miciah.masters@gmail.com>, 426364@bugs.debian.org
Subject: Re: Bug#426364: xterm dies on popup-menu() action
Date: Mon, 28 May 2007 18:58:21 -0400
[Message part 1 (text/plain, inline)]
On Mon, May 28, 2007 at 11:20:12AM +0200, Miciah Dashiel Butler Masters wrote:
> Package: xterm
> Version: 225-1
> 
> Using the mouse is cumbersome, so I added these to my X resource
> database:
> 
> XTerm*vt100.translations: #override \n\
> 	Ctrl<Key>F1:popup-menu(mainMenu) \n\
> 	Ctrl<Key>F2:popup-menu(vtMenu)   \n\
> 	Ctrl<Key>F3:popup-menu(fontMenu) \n\
> 	Ctrl<Key>F4:popup-menu(tekMenu)
> 
> When I try to use one of the first three of these actions, XTerm
> dies:

I can see generally why - but not how to fix it (it's some
initialization done in Xaw rather than xterm which is needed).

If you pop the menu up normally, then the action does work.  However,
once it's up (unless you've got some additional keyboard mappings), I
don't see how to trigger the menu without using the mouse.  (If you can
really make _that_ work, I'm interested - may see if there's a way to
fix the initialization ;-)
 
> xterm:  warning, error event received:
> X Error of failed request:  BadWindow (invalid Window parameter)
>   Major opcode of failed request:  38 (X_QueryPointer)
>   Resource id in failed request:  0x0
>   Serial number of failed request:  344
>   Current serial number in output stream:  344
> 
> With the fourth, it segfaults.  Below is a backtrace.  I don't have
> debugging symbols installed (I see no xterm-dbg package), but if it
> would be helpful, I'm willing to go to some effort to get you a better
> backtrace.

I can fix this (see ftp://invisible-island.net/temp/xterm-225e.patch.gz)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Miciah Dashiel Butler Masters <miciah.masters@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 426364-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 426364-close@bugs.debian.org
Subject: Bug#426364: fixed in xterm 226-1
Date: Mon, 18 Jun 2007 13:47:09 +0000
Source: xterm
Source-Version: 226-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_226-1.diff.gz
  to pool/main/x/xterm/xterm_226-1.diff.gz
xterm_226-1.dsc
  to pool/main/x/xterm/xterm_226-1.dsc
xterm_226-1_i386.deb
  to pool/main/x/xterm/xterm_226-1_i386.deb
xterm_226.orig.tar.gz
  to pool/main/x/xterm/xterm_226.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 426364@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 18 Jun 2007 14:02:22 +0100
Source: xterm
Binary: xterm
Architecture: source i386
Version: 226-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 12261 349142 418324 420974 421523 422521 426364 426863
Changes: 
 xterm (226-1) unstable; urgency=low
 .
   [ Branden Robinson ]
   * Remove debian/NEWS; the events it attested to (like the "upcoming 7.0
     modularization" are no longer news, and are in the past.
 .
   [ Julien Cristau ]
   * Configure with --with-tty-group=tty, to prevent security problems in case
     of buggy build environment (closes: #349142).
   * New upstream release.
     + fix  an  infinite  loop  when  showing  a  2-column character in a
       1-column screen (closes: #426863).
     + add  XF86Paste  and  SunPaste  to the default translations
       (closes: #422521, patch by Bernhard R Link).
     + improve  permissions  logic  when  closing pseudo-terminal
       (closes: #12261, patch by Nathanael Nerode, analysis by Richard
       Braakman).
     + add  a check in case someone tries to call the popup-menu() action
       on a menu which is not initialized (closes: #426364).
     + fix error-checking on internal font switching for "Selection" menu
       entry (closes: #421523).
     + amend select/paste change from patch #225 by limiting it to
       non-UTF-8/non-KOI8-R encoding (closes: #420974).
     + add  workaround  for  groff  ".URL" codes which are not present in
       some commonly-used bitmap fonts (closes: #418324).
   * Update reference to xlibs-data in xterm's description, refer to xbitmaps
     instead.
   * Build-depend on desktop-file-utils to install the new desktop files for
     xterm and uxterm, and change debian/rules and debian/xterm.install to
     install these files and the icons.
Files: 
 104129b8aabcf3498c64be24716de973 825 x11 optional xterm_226-1.dsc
 93d1f43ac3c13af86c598493f14a36f6 835862 x11 optional xterm_226.orig.tar.gz
 57ae2778e0a806deb01a41cc6fee0292 61616 x11 optional xterm_226-1.diff.gz
 94f81ecbb70c7cf120552b2a5a4bdeb2 452080 x11 optional xterm_226-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGdovGmEvTgKxfcAwRAhbbAKCEL0Aq2kLgqYfTaeThWox3p9KYNwCePjvT
hGOcCnN7IKcs8dgUyCxOLVc=
=U44l
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jul 2007 07:30:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:30:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.